Skip to content

Bitninja Details

GET
/api/v1/nodes/{node_id}/bitninjaDetails/
curl --request GET \
--url 'https://api.e2enetworks.com/myaccount/api/v1/nodes/{node_id}/bitninjaDetails/?project_id=<PROJECT_ID>&apikey=<API_KEY>&location=<LOCATION>' \
--header 'Authorization: Bearer <API_TOKEN>'
node_id
required
string

Path parameter node_id.

project_id
required
integer

Identifier of the project to scope the request to. Required integer project ID.

Example

<PROJECT_ID>
apikey
required
string

API key for authenticating the request

Example

<API_KEY>
location
required
string

Specifies the target location for the Bitninja details request

Example

<LOCATION>

Successful response

Media typeapplication/json
object
code

HTTP status code of the response

integer
data
Array<object>
object
node_id

Unique identifier for the node

integer
show_bitninja

Flag indicating whether BitNinja details are shown

boolean
bitninja_cost

Cost value returned by BitNinja, represented as a string

string
is_bitninja_license_active

Indicates whether the Bitninja license is currently active

boolean
errors
object
message

Status message indicating the result of the request

string

Example

{
"code": 200,
"data": [
{
"node_id": 12345,
"show_bitninja": true,
"bitninja_cost": "760.0",
"is_bitninja_license_active": false
}
],
"message": "Success"
}